ChartDirector Ver 5.0 (PHP Edition)

BaseChart.addExtraField

Usage

addExtraField(texts)

Description

Adds an array of text to be used as an extra field in various places.
This method merely stores the data inside the chart object. The Parameter Substitution and Formatting mechanism will determine how the data are to be used.
A common use for extra fields is to specify extra information (such as a custom serial number for the data points) to be displayed on data labels or on tool tips, or to supply extra query parameters in clickable charts. All these are achieved by specifying the extra field on the data label template or image map templates during parameter substitution.

Arguments

Argument | Default | Description
--- | --- | ---
texts | (Mandatory) | An array of text to be stored inside the chart object.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.